Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

P3 Firmware Can't find v1.4.10 on dji site

Discussion in 'Firmware' started by Gordrone, Sep 19, 2015.

  1. Gordrone

    Joined:
    Sep 19, 2015
    Messages:
    10
    Likes Received:
    0
    My software is asking me to update to v1.4.10 but the DJI site only shows v1.4.0010 for the p3 pro?
     
  2. TX-Xced

    Joined:
    Sep 13, 2015
    Messages:
    70
    Likes Received:
    27
    Location:
    Austin, Texas
    Re: Firmware v1.4.0010 is the v1.4.10
     
  3. Gordrone

    Joined:
    Sep 19, 2015
    Messages:
    10
    Likes Received:
    0
    thanks for the quick response so i just need my RC to accept it. keep getting that the firmware is the same or older version and fails.
    P3 flies great but never like to have software telling me bad things
     
  4. TX-Xced

    Joined:
    Sep 13, 2015
    Messages:
    70
    Likes Received:
    27
    Location:
    Austin, Texas
    No worries. I've had better success upgrading the firmware using the "manual" approach - meaning copying the firmware to the SD card then letting the Phantom load it to the motherboard....... Opposed to loading the firmware via the RC

    See attached How to Update Firmware - look at first section "Updating the Aircraft Firmware"

    -Jimmy
     

    Attached Files:

  5. bobkoch5629

    Joined:
    Aug 14, 2015
    Messages:
    2
    Likes Received:
    0
    Sorry, left out some 0's in my post. Btw I think I saw an errata sheet on the Dji website that said the controller did not need an upgrade if you had the 1.3.2 (probably missing 0's on this one as well) on both the phantom 3 professional and its controller.
     
  6. SouthernPhantom

    Joined:
    Jun 10, 2015
    Messages:
    315
    Likes Received:
    122
    Correct. The RC does not currently need updating beyond 1.3.2. That's the latest version.

    The Phantom itself should be updated to the 1.4.10 (with more zeros) firmware, which still needs to be done (as before) by putting the .bin file on a newly-formatted SD card. The GO application's warning is merely your notice of that.
     
  7. Gordrone

    Joined:
    Sep 19, 2015
    Messages:
    10
    Likes Received:
    0
    Thx again will give it another go this weekend
     
  8. THEHOFF

    Joined:
    Jun 20, 2014
    Messages:
    40
    Likes Received:
    8
    Location:
    Central Texas
    Just to clarify is the 1.4 for the aircraft, but only 1.32 for RC only... No 1.4 for RC yet??
     
  9. SouthernPhantom

    Joined:
    Jun 10, 2015
    Messages:
    315
    Likes Received:
    122
    Correct.
     
  10. THEHOFF

    Joined:
    Jun 20, 2014
    Messages:
    40
    Likes Received:
    8
    Location:
    Central Texas
    Thank you.